<!DOCTYPE html>

<html>
<head>
<meta charset="UTF-8">

<title>500.html - RDoc Documentation</title>

<script type="text/javascript">
  var rdoc_rel_prefix = "../../../";
  var index_rel_prefix = "../../../";
</script>

<script src="../../../js/jquery.js"></script>
<script src="../../../js/darkfish.js"></script>

<link href="../../../css/fonts.css" rel="stylesheet">
<link href="../../../css/rdoc.css" rel="stylesheet">



<body id="top" role="document" class="file">
<nav role="navigation">
  <div id="project-navigation">
    <div id="home-section" role="region" title="Quick navigation" class="nav-section">
  <h2>
    <a href="../../../index.html" rel="home">Home</a>
  </h2>

  <div id="table-of-contents-navigation">
    <a href="../../../table_of_contents.html#pages">Pages</a>
    <a href="../../../table_of_contents.html#classes">Classes</a>
    <a href="../../../table_of_contents.html#methods">Methods</a>
  </div>
</div>

    <div id="search-section" role="search" class="project-section initially-hidden">
  <form action="#" method="get" accept-charset="utf-8">
    <div id="search-field-wrapper">
      <input id="search-field" role="combobox" aria-label="Search"
             aria-autocomplete="list" aria-controls="search-results"
             type="text" name="search" placeholder="Search" spellcheck="false"
             title="Type to search, Up and Down to navigate, Enter to load">
    </div>

    <ul id="search-results" aria-label="Search Results"
        aria-busy="false" aria-expanded="false"
        aria-atomic="false" class="initially-hidden"></ul>
  </form>
</div>

  </div>

  

  <div id="project-metadata">
    <div id="fileindex-section" class="nav-section">
  <h3>Pages</h3>

  <ul class="link-list">
  
    <li><a href="../../../Gemfile.html">Gemfile</a>
  
    <li><a href="../../../Gemfile_lock.html">Gemfile.lock</a>
  
    <li><a href="../../../README_md.html">README</a>
  
    <li><a href="../../../Rakefile.html">Rakefile</a>
  
    <li><a href="../../../app/assets/config/storehaus_manifest_js.html">storehaus_manifest.js</a>
  
    <li><a href="../../../app/assets/javascripts/storehaus/application_js.html">application.js</a>
  
    <li><a href="../../../app/assets/stylesheets/storehaus/application_css.html">application.css</a>
  
    <li><a href="../../../lib/tasks/storehaus_tasks_rake.html">storehaus_tasks.rake</a>
  
    <li><a href="../../../spec/dummy/Rakefile.html">Rakefile</a>
  
    <li><a href="../../../spec/dummy/app/assets/config/manifest_js.html">manifest.js</a>
  
    <li><a href="../../../spec/dummy/app/assets/javascripts/application_js.html">application.js</a>
  
    <li><a href="../../../spec/dummy/app/assets/javascripts/cable_js.html">cable.js</a>
  
    <li><a href="../../../spec/dummy/app/assets/stylesheets/application_css.html">application.css</a>
  
    <li><a href="../../../spec/dummy/config_ru.html">config.ru</a>
  
    <li><a href="../../../spec/dummy/log/development_log.html">development.log</a>
  
    <li><a href="../../../spec/dummy/log/test_log.html">test.log</a>
  
    <li><a href="../../../spec/dummy/package_json.html">package.json</a>
  
    <li><a href="../../../spec/dummy/public/404_html.html">404.html</a>
  
    <li><a href="../../../spec/dummy/public/422_html.html">422.html</a>
  
    <li><a href="../../../spec/dummy/public/500_html.html">500.html</a>
  
    <li><a href="../../../spec/dummy/public/apple-touch-icon-precomposed_png.html">apple-touch-icon-precomposed.png</a>
  
    <li><a href="../../../spec/dummy/public/apple-touch-icon_png.html">apple-touch-icon.png</a>
  
    <li><a href="../../../spec/dummy/public/favicon_ico.html">favicon.ico</a>
  
    <li><a href="../../../storehaus_gemspec.html">storehaus.gemspec</a>
  
  </ul>
</div>

  </div>
</nav>

<main role="main" aria-label="Page spec/dummy/public/500.html">

<p>&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt;</p>

<pre>&lt;title&gt;We&#39;re sorry, but something went wrong (500)&lt;/title&gt;
&lt;meta name=&quot;viewport&quot; content=&quot;width=device-width,initial-scale=1&quot;&gt;
&lt;style&gt;
.rails-default-error-page {
  background-color: #EFEFEF;
  color: #2E2F30;
  text-align: center;
  font-family: arial, sans-serif;
  margin: 0;
}

.rails-default-error-page div.dialog {
  width: 95%;
  max-width: 33em;
  margin: 4em auto 0;
}

.rails-default-error-page div.dialog &gt; div {
  border: 1px solid #CCC;
  border-right-color: #999;
  border-left-color: #999;
  border-bottom-color: #BBB;
  border-top: #B00100 solid 4px;
  border-top-left-radius: 9px;
  border-top-right-radius: 9px;
  background-color: white;
  padding: 7px 12% 0;
  box-shadow: 0 3px 8px rgba(50, 50, 50, 0.17);
}

.rails-default-error-page h1 {
  font-size: 100%;
  color: #730E15;
  line-height: 1.5em;
}

.rails-default-error-page div.dialog &gt; p {
  margin: 0 0 1em;
  padding: 1em;
  background-color: #F7F7F7;
  border: 1px solid #CCC;
  border-right-color: #999;
  border-left-color: #999;
  border-bottom-color: #999;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  border-top-color: #DADADA;
  color: #666;
  box-shadow: 0 3px 8px rgba(50, 50, 50, 0.17);
}
&lt;/style&gt;</pre>

<p>&lt;/head&gt;</p>

<p>&lt;body class=“rails-default-error-page”&gt;</p>

<pre>&lt;!-- This file lives in public/500.html --&gt;
&lt;div class=&quot;dialog&quot;&gt;
  &lt;div&gt;
    &lt;h1&gt;We&#39;re sorry, but something went wrong.&lt;/h1&gt;
  &lt;/div&gt;
  &lt;p&gt;If you are the application owner check the logs for more information.&lt;/p&gt;
&lt;/div&gt;</pre>

<p>&lt;/body&gt; &lt;/html&gt;</p>
</main>



<footer id="validator-badges" role="contentinfo">
  <p><a href="https://validator.w3.org/check/referer">Validate</a>
  <p>Generated by <a href="https://ruby.github.io/rdoc/">RDoc</a> 6.0.1.
  <p>Based on <a href="http://deveiate.org/projects/Darkfish-RDoc/">Darkfish</a> by <a href="http://deveiate.org">Michael Granger</a>.
</footer>

